/* Diese Klasse implementert die Fakultaetsfunktion rekursiv und iterativ.
 */
class Fakultaet {

    /* Diese Methode berechnet rekursiv die Fakultaet des uebergebenen 
     * Parameters.
     * Parameter: 
     *     int n - eine natuerliche Zahl
     * Rueckgabewert:
     *     int - Fakultaet von n
     */
    public static int fak(int n) {
	if(n <= 1) {
	    // Rekursionsanker
	    return 1;
	} else {
	    // rekursiver Aufruf
	    return n*fak(n-1);
	}
    }

    /* Diese Methode berechnet iterativ die Fakultaet des uebergebenen 
     * Parameters.
     * Parameter: 
     *     int n - eine natuerliche Zahl
     * Rueckgabewert:
     *     int - Fakultaet von n
     */
    public static int fakIter(int n) {

	int val = 1;
	for(int i = 1; i <= n; i++) {
	    val = val * i;
	}
	return val;
    }


    public static void main(String[] args) {
	int n = Integer.parseInt(args[0]);
	System.out.println("Rekursion: n! = " + fak(n));
	System.out.println("Iteration: n! = " + fakIter(n));

    }
}
