/* Diese Klasse implementiert einige mathematische Methoden.
 */
class MyMath {

    /* Diese Methode liefert den Preis inklusive Mehrwertsteuer zurueck.
     * Parameter:
     *    double wert - Preis ohne Mwst
     *    double mwst - Mehrwertsteuer
     * Rueckgabewert:
     *    double - Preis inklusive Mwst
     *
     */
    public static double berechnePreis(double wert, double mwst) {
	double p = wert + wert*mwst;
	return p;
    }
    // Alternative
    public static double berechnePreis2(double wert, double mwst) {
	return wert + wert*mwst;
    }


    /* Diese Methode berechnet den Betrag des bergebenen Parameters
     * Parameter:
     *    double x - Wert
     * Rueckgabewert:
     *    double - Betrag |x|
     */
    public static double abs(double x) {
	if(x < 0) {
	    return -x;
	} else {
	    return x;
	}
    }
    // Alternative zur Methode abs(x)
    public static double abs2(double x) {
	if(x < 0) {
	    return -x;
	}   
	return x;
    }


    
    /* Diese Methode liefert den Wert true zurueck genau dann, wenn der ueber-
     * gebene Array die Zahl Null enthaelt.
     * Parameter:
     *    int[] arr - Array von Ganzzahlen (mindestens ein Element)
     * Rueckgabewert:
     *    boolean - true gdw 0 Element von arr
     */
    public static boolean hasZero(int[] arr) {

	for(int i = 0; i < arr.length; i++) {
	    if(arr[i] == 0) {
		return true;
	    }
	}
	return false;
    }

    public static void main(String[] args) {

	// Preis inkl. Mwst
	//System.out.println("Preis (+ Mwst) = " + berechnePreis(100.0, 0.19));
	
	/*
	// Absolutbetrag
	System.out.println("Betrag von -2.0 = " + abs(-2));
	System.out.println("Betrag von  0.0 = " + abs(0));
	System.out.println("Betrag von +2.0 = " + abs(2));
	*/
	// hasZero
	int[] arr1 = {1, 4, 8, 2, 0, 9};
	System.out.println("arr1 enthaelt eine 0 = " + hasZero(arr1));
	int[] arr2 = {2, 5, 7, 2, 1, 3, 8, 8};
	System.out.println("arr2 enthaelt eine 0 = " + hasZero(arr2));
	
    }
}
