/* Diese Klasse implementert die folgende Zahlenfolge rekursiv und iterativ:
 * 
 *     f(1) = 2
 *     f(n) = 2*f(n-1) + 1 fuer n < 1
 */
class Rekursion {

    /* Diese Methode berechnet rekursiv den oben spezifizierten Wert f(n), 
     * wobei n als Parameter uebergeben wird. 
     *
     * Parameter: 
     *     int n - eine natuerliche Zahl
     * Rueckgabewert:
     *     int - f(n)
     */
    public static int f(int n) {
	if(n <= 1) {
	    // Rekursionsanker
	    return 2;
	} else {
	    // rekursiver Aufruf
	    return 2*f(n-1) + 1;
	}
    }

    /* Diese Methode berechnet iterativ den oben spezifizierten Wert f(n), 
     * wobei n als Parameter uebergeben wird. 
     *
     * Parameter: 
     *     int n - eine natuerliche Zahl
     * Rueckgabewert:
     *     int - f(n)
     */
    public static int fIter(int n) {

	int val = 2;
	for(int i = 2; i <= n; i++) {
	    val = 2*val + 1;
	}
	return val;
    }


    public static void main(String[] args) {
	int n = Integer.parseInt(args[0]);
	System.out.println("Rekursion: f(" + n + ") = " + f(n));
	System.out.println("Iteration: f(" + n + ") = " + fIter(n));

    }
}
