import java.awt.Graphics;
import java.awt.Graphics2D; 
import java.awt.Color;
import javax.swing.*; 
import java.util.ArrayList;

class DrawCircle extends JPanel {

    static int width = 500;
    static int height = 500;

    static ArrayList<Circle> circles = new ArrayList<Circle>();

    private static Color getColor(String c) {
	if(c.equals("black")) {
	    return Color.black;
	} else if(c.equals("blue")) {
	    return Color.blue;
	} else if(c.equals("red")) {
	    return Color.red;
	} else if (c.equals("green")) {
	    return Color.green;
	} else if (c.equals("yellow")) {
	    return Color.yellow;
	} else if (c.equals("orange")) {
	    return Color.orange;
	} else {
	    return Color.black;
	}
    }

    protected void paintComponent(Graphics g) { 
	super.paintComponent(g); 
	for(int i = 0; i < circles.size(); i++) {
	    Circle c = circles.get(i);
	    g.setColor(getColor(c.color));
	    if(c.filled) {
		g.fillOval(c.x, c.y, c.radius, c.radius);
	    } else {
		g.drawOval(c.x, c.y, c.radius, c.radius);
	    }
	}
    } 

    static void draw(Circle c) {
	circles.add(c);
	JFrame f = new JFrame(); 
	f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE); 
	f.setSize(width, height); 
	f.add(new DrawCircle()); 
	f.setVisible(true); 
    }

    static void draw(Figure fig) {
	Circle[] c = fig.circles;
	for(int i = 0; i < c.length; i++) {
	    circles.add(c[i]);
	}
	JFrame f = new JFrame(); 
	f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE); 
	f.setSize(width, height); 
	f.add(new DrawCircle()); 
	f.setVisible(true); 
    }
}
