public class Vattenfall {

    // Grundpreis pro Monat in Cent
    private double grundpreis;

    /* Konstruktor zur Initialisierung dieses Tarifs.
     *
     * Parameter:
     *     double grundpreis - nicht negativer Grundpreis in Cent
     */
    public Vattenfall(double grundpreis) {
	this.grundpreis = grundpreis;
    }

    /* Berechnet Tarif bei gegebenem Verbrauch.
     * 
     * Parameter:
     *     double kwh - Verbrauch in kWh (nicht-negativ)
     *
     * Return:
     *     double - Tarif in Cents
     */
    public double berechne(double kwh) {
	return grundpreis + 5.0*kwh*kwh/1500.0;
    }

    /* Liefert Name des Stromversorgers zurueck.
     *
     * Return:
     *     String - Name des Versorgers
     */
    public String toString() {
	return "Vattenfall";
    }

}