// Implementiert Tarif des Stromversorgers EPrimo.
public class EPrimo implements Tarif {

    // Grundpreis pro Monat in Cent
    private double grundpreis;

    /* Konstruktor zur Initialisierung dieses Tarifs.
     *
     * Parameter:
     *     double grundpreis - nicht negativer Grundpreis in Cent
     */
    public EPrimo(double grundpreis) {
	this.grundpreis = grundpreis;
    }

    /* Berechnet Tarif bei gegebenem Verbrauch.
     * 
     * Parameter:
     *     double kwh - Verbrauch in kWh (nicht-negativ)
     *
     * Return:
     *     double - Tarif in Cents
     */
    public double berechne(double kwh) {
	
	if(kwh < 1000.0) {
	    return this.grundpreis;
	} else if(kwh < 2000.0) {
	    return this.grundpreis + 15.0*kwh;
	} else {
	    return this.grundpreis + 25.0*kwh;
	}
    }

    /* Liefert Name des Stromversorgers zurueck.
     *
     * Return:
     *     String - Name des Versorgers
     */
    public String toString() {
	return "EPrimo";
    }
}