// Implementiert Tarif des Stromversorgers Nuon.
public class Nuon implements Tarif {

    // Grundpreis pro Monat in Cent
    private double grundpreis;

    /* Konstruktor zur Initialisierung dieses Tarifs.
     *
     * Parameter:
     *     double grundpreis - nicht negativer Grundpreis in Cent
     */
    public Nuon(double grundpreis) {
	this.grundpreis = grundpreis;
    }

    /* Berechnet Tarif bei gegebenem Verbrauch.
     * 
     * Parameter:
     *     double kwh - Verbrauch in kWh (nicht-negativ)
     *
     * Return:
     *     double - Tarif in Cents
     */
    public double berechne(double kwh) {
	return grundpreis + 25.0*kwh;
    }

    /* Liefert Name des Stromversorgers zurueck.
     *
     * Return:
     *     String - Name des Versorgers
     */
    public String toString() {
	return "Nuon";
    }
}