// Diese Klasse implementert einen Tarifrechner fuer Strom.
public class TarifRechner {

    // Tarife
    private Tarif[] tarife;

    /* Konstruktor zur Initialisierung der Tarife.
     *
     * Parameter:
     *     Tarife[] tarife - Array von Tarifen
     */
    public TarifRechner(Tarif[] tarife) {
	this.tarife = tarife;
    }

    /* Liefert besten Tarif bei gegebenem Verbrauch zurueck.
     *
     * Parameter:
     *     double kwh - Verbrauch in kWh (nicht-negativ)
     *
     * Return:
     *     Tarif - Tarif mit geringsten Kosten
     */
    public Tarif getBestTarif(double kwh) {

	Tarif best = null;
	double min = Double.MAX_VALUE;
	for(int i = 0; i < tarife.length; i++) {
	    double t = tarife[i].berechne(kwh);
	    if(t < min) {
		min = t;
		best = tarife[i];
	    }
	}
	return best;
    }
}